#ifndef _LEAR_HARD_POST_PROCESS_RESULT_H_
#define _LEAR_HARD_POST_PROCESS_RESULT_H_

#include <fstream>
#include <lear/classifier/ppresult.h>
namespace lear {
  struct Hard_PPResult : PostProcessResult {
    typedef PostProcessResult                       Parent;

    Hard_PPResult(std::string const &hardfile_);

    /** Write detection results, must be invoked after invoking
     * operator() on all tested window to write corresponding detection 
     * results. 
     */
    virtual void write(const_iterator s, const_iterator e, 
                       RGBImage    const &inimage,
                       std::string const &infile);

    virtual std::string toString() { 
      return "Neg Hard List Post Process Result";
    }
  protected:
    std::ofstream to;
  };

}
#endif // _LEAR_HARD_POST_PROCESS_RESULT_H_
