function f = isNearCtor(type,varargin)
%f = isNearCtor(type,...)
%
%f = isNearCtor('voc',minOverlapFrac)

switch type
  case 'voc'
    assert(length(varargin)==1);
    minOverlapFrac = varargin{1};
    f = @(a,b) regionOverlapSizeFrac(a,b,1) >= minOverlapFrac;
  otherwise
    error('Unknown isNear constructor type: %s', type);
end
    