function [p,n] = load_roc(posfile, negfile)
% posfile and negfile stores classifier output in terms of
% histograms with very fine bins. Read histograms and
% compute cummulative sums

posdata = load(posfile);
negdata = load(negfile);

p = posdata(:,1); % score array
n = negdata(:,1); % score array

sp = sum(p);
sn = sum(n);
p = p./sp;
n = n./sn;

tp = cumsum(p(end:-1:1));
p = tp(end:-1:1);
tn = cumsum(n(end:-1:1));
n = tn(end:-1:1);

